Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.message
Class DefaultMessageResolver

    java.lang.Object
      org.springframework.binding.message.DefaultMessageResolver

All Implemented Interfaces:
  MessageResolver, org.springframework.context.MessageSourceResolvable

    public class DefaultMessageResolver

extends java.lang.Object
implements MessageResolver, org.springframework.context.MessageSourceResolvable

Constructor Summary
`DefaultMessageResolver(java.lang.Object source, java.lang.String[] codes, Severity severity, java.lang.Object[] args, java.lang.String defaultText)`

Method Summary
`java.lang.Object[]` | `getArguments()`
`java.lang.String[]` | `getCodes()`
`java.lang.String` | `getDefaultMessage()`
`protected java.lang.String` | `postProcessMessageText(java.lang.String text)` Subclasses may override to perform special post-processing of the returned message text; for example, running it through an Expression evaluator.
`Message` | `resolveMessage(org.springframework.context.MessageSource messageSource, java.util.Locale locale)` Resolve the message from the message source using the current locale.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultMessageResolver

    public DefaultMessageResolver(java.lang.Object source,
                                  java.lang.String[] codes,
                                  Severity severity,
                                  java.lang.Object[] args,
                                  java.lang.String defaultText)

Method Detail

### resolveMessage

    public Message resolveMessage(org.springframework.context.MessageSource messageSource,
                                  java.util.Locale locale)

  Description copied from interface: `MessageResolver`
  Resolve the message from the message source using the current locale.

  Specified by:
    `resolveMessage` in interface `MessageResolver`
  Parameters:
    `messageSource` - the message source, an abstraction for a resource bundle
    `locale` - the current locale of this request
  Returns:
    the resolved message

### postProcessMessageText

    protected java.lang.String postProcessMessageText(java.lang.String text)

  Subclasses may override to perform special post-processing of the returned message text; for example, running it through an Expression evaluator.

  Parameters:
    `text` - the resolved message text
  Returns:
    the post processeed message text

### getCodes

    public java.lang.String[] getCodes()

  Specified by:
    `getCodes` in interface `org.springframework.context.MessageSourceResolvable`

### getArguments

    public java.lang.Object[] getArguments()

  Specified by:
    `getArguments` in interface `org.springframework.context.MessageSourceResolvable`

### getDefaultMessage

    public java.lang.String getDefaultMessage()

  Specified by:
    `getDefaultMessage` in interface `org.springframework.context.MessageSourceResolvable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD